/*!
* Template WP et MR @author: IAD Territoire Digital
* Last update : 3 juillet 2019
*/

/*
Font Work Sans
400 : regular
500 : medium
600 : semi-bold
700 : bold
*/

/*Classes personnalisées à utiliser sur les templates HTML */
.bg-red {background: #D50803}
.bg-green {background: #008000}
.bg-blue {background: #023D7D}
.bg-orange {background: #F6931E}
.bg-gold {background: #FFD700}
.bg-high {background: #999900}
.bg-bleu-cies {background: #16212C}
.color-red {color: #D50803}
.color-green {color: #008000}
.color-blue {color: #023D7D}
.color-orange {color: #F6931E}
.color-gold {color: #FFD700}
.color-high {color: #999900}
.txt-justify {text-align: left} /*N'est pas une bonne pratique Web*/


/* ---------------------------------------------------
   Tabulator
----------------------------------------------------- */
.tabulator {
    background-color:#FFF;
    border: none; /*contour du tableau 1px solid #F6931E*/
	  font-size: 0.825em;
}

/* ---------------------------------------------------
   Header
----------------------------------------------------- */
.tabulator .tabulator-header {
    background-color: #FFFFFF;
    color:var(--main-bg-color);
    font-weight: 600;
	  border-color: #008000;
    border-bottom: 0px solid #999;
}

/*Allow column header names to wrap lines*/
.tabulator .tabulator-header .tabulator-col{
   background-color: #FFFFFF;
   white-space: normal;
   border: 0px;
   height:auto !important; /*Essentiel si une colonne a visible:false sinon en tête ne peuvent pas etre sur deux lignes*/
/*   min-height: 27px !important;*/
}

.tabulator .tabulator-header .tabulator-col .tabulator-col-content .tabulator-col-title{
  white-space: normal;
}


/* ---------------------------------------------------
   Header colonnes triable
----------------------------------------------------- */
.tabulator .tabulator-header .tabulator-col.tabulator-sortable:hover {
   background-color: #e6e6e6;
}

.tabulator .tabulator-header .tabulator-col .tabulator-col-content .tabulator-col-sorter {
  align-items: end;
  bottom: 7px;
}
.tabulator .tabulator-header .tabulator-col.tabulator-sortable .tabulator-col-title {
  padding-right: 20px;
}
/*Mettre flèche tri à droite*/
.tabulator .tabulator-header .tabulator-col.tri_right .tabulator-col-content .tabulator-col-sorter {
   right: -1px;
 }

/* ---------------------------------------------------
   Header colonnes tooltip
----------------------------------------------------- */
.tabulator .tabulator-header .tabulator-col.colTooltip .tabulator-col-content .tabulator-col-title:hover{
  cursor: help;
}

.tabulator-tooltip {
  max-width: Min(200px, 100%);
  padding: 3px 5px;
  border-radius: 2px;
  box-shadow: none;
  font-size: 11px;
  pointer-events: none;
}

.tabulator-popup-container {
  background: #e6e6e6;
  border: 0px solid #aaa;
}


/* ---------------------------------------------------
   Quand derniere colonne est triable
----------------------------------------------------- */
.tabulator .tabulator-header .tabulator-col.tabulator-sortable.last_sortable .tabulator-col-content .tabulator-col-title{
 display: inline-block;
 width: 90px;
}
.tabulator .tabulator-header .tabulator-col.tabulator-sortable.last_sortable .tabulator-col-content .tabulator-arrow {
 right:auto;
}

.tabulator .tabulator-header .tabulator-col.tabulator-sortable.last_sortable{
 width:120px !important;
 min-width: 120px !important;
}

/*espace entre colonne */
.tabulator-row .tabulator-cell {
	border-right: 0px solid;
	border-left: 0px solid;	
}

/* ---------------------------------------------------
   table et barre de defilement(partie en dessous du header)
----------------------------------------------------- */
.tabulator .tabulator-tableholder {
  border-top:1px solid var(--main-bg-color)
}

/* ---------------------------------------------------
   Row
----------------------------------------------------- */
.tabulator-row {
    color:#000;
    margin-left: 0px;
    border-bottom: 1px solid rgb(189,189,189); /*trait entre les lignes du tableau*/
    height:28px !important;
}

/*lignes paire du tableau*/
.tabulator-row.tabulator-row-even {
    background-color: #fff;
}

/*Passe souris sur ligne selectionnable*/
.tabulator .tabulator-row.tabulator-selectable:hover .tabulator-cell {
    background-color: #bbb;
    cursor: default;
}
/*lignes freezé */
.tabulator .tabulator-header .tabulator-frozen-rows-holder .tabulator-row {
  background-color: rgba(29,129,162,0.2);
  color : black;
}


/* ---------------------------------------------------
   Cellule
----------------------------------------------------- */
.tabulator-row .tabulator-cell {
  text-overflow: clip;
  height:27px !important;
}

